## cacasink cacasink |

## Properties

gboolean | anti-aliasing | Read / Write
GstCACASinkDithering | dither | Read / Write
gint | screen-height | Read
gint | screen-width | Read

## Types and Values

struct | GstCACASink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstCACASink

## Description

## Synopsis

### Element Information

plugin | cacasink
author | Zeeshan Ali <zak147@yahoo.com>
class | Sink/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ RGB, BGR, RGBx, xRGB, BGRx, xBGR, RGB16, RGB15 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstCACASink

    struct GstCACASink;

## Property Details

### The `“anti-aliasing”` property

      “anti-aliasing”            gboolean

Enables Anti-Aliasing.

Flags: Read / Write

Default value: TRUE

### The `“dither”` property

      “dither”                   GstCACASinkDithering

Set type of Dither.

Flags: Read / Write

Default value: No dithering

### The `“screen-height”` property

      “screen-height”            gint

The height of the screen.

Flags: Read

Allowed values: >= 0

Default value: 25

### The `“screen-width”` property

      “screen-width”             gint

The width of the screen.

Flags: Read

Allowed values: >= 0

Default value: 80